import { ItemEntity } from '@pie-players/pie-players-shared/types';
import { SectionCompositionModel } from '../../controllers/types.js';
export declare const EMPTY_ITEM_SESSION: Record<string, unknown>;
export declare const EMPTY_COMPOSITION: SectionCompositionModel;
export declare function getEntityTitle(entity: unknown): string;
export declare function getCanonicalItemIdForItem(compositionModel: SectionCompositionModel, item: ItemEntity): string;
export declare function getSessionForItem(compositionModel: SectionCompositionModel, item: ItemEntity): unknown;
export declare function getSessionForItemOrEmpty(compositionModel: SectionCompositionModel, item: ItemEntity): Record<string, unknown>;
